Subject: Re: latest snapshot fixes xemacs problems
From: "Jochen Küpper" <[email-masked]>
To: [email-masked]
Date: 06 Dec 2001 22:51:42 -0500

On Thu, 6 Dec 2001 21:32:42 -0500 Christopher Faylor wrote:

Christopher> On Thu, Dec 06, 2001 at 09:21:00PM -0500, Jochen K?pper wrote:

[...my description how to install cygwin1.dll the long way...]

Christopher> This seems like an incredible amount of work to just
Christopher> install the DLL.

Well, I installed only the DLL first. Since it didn't work, and I
don't understand all the interrelations that well (apparently there
are none, accroding to your comment:), I thought I I might install the
complete -inst tar-ball.

>> ,----[ll /cygdrive/c]
>> | total 0
>> | dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 c/
>> | dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 h/
>> | dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 i/
>> | dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 m/
>> | dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 n/
>> | dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 o/
>> | dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 x/
>> | dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 z/
>> `----

Christopher> Are you *really* getting a list of all of your drives
Christopher> under /cygdrive/c?  Or is this a typo?

No typo, I am getting the same output whether I do 'ls -l /cygdrive'
or 'ls -l /cygdrive/c/' [1] -- as shown above.

Christopher> It seems to me that this should be:
Christopher> bash$ ll /cygdrive

Yeah, but it isn't.

Christopher> Not surprising, unless you have a 'c' directory on your
Christopher> c: drive.

Right. Then, there is a 'c' dir in /cygdrive/c/ according to ls
(v.s.), but of course it isn't there in real...

Ok, I downloaded the little c program David Rothenberger posted
earlier today and compiled it to pathcheck.exe. That seems to work
just fine:

,----[mount -p]
| Prefix              Type         Flags
| /cygdrive           system       binmode
`----

,----[./pathcheck.exe /cygdrive/o]
| name = /cygdrive/o
| /cygdrive/o -> o:\
`----

,----[/usr/bin/ls.exe -l /cygdrive/o] (fully qualified name, no aliasing)
| total 0
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 c
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 h
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 i
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 m
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 n
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 o
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 x
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 z
`----

No typo, I asked ls for /cygdrive/o, not /cygdrive :(

'Different' approach, same results:

,----[cygpath.exe -w /cygdrive/o]
| o:\
`----

,----[ls -l o:\\]
| total 0
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 c/
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 h/
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 i/
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 m/
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 n/
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 o/
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 x/
| dr-xr-xr-x   11 Everyone Everyone        0 Dec 31  1969 z/
`----

I crosschecked in a 'cmd'-line (as opposed to bash), same results.

Greetings,
Jochen

Footnotes: 
[1] Or any other of the characters from the list above.
- -- 
Einigkeit und Recht und Freiheit                http://www.Jochen-Kuepper.de
    Liberté, Égalité, Fraternité                GnuPG key: 44BCCD8E
        Sex, drugs and rock-n-roll

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/